libdap::D4Attribute Class Reference
Inheritance diagram for libdap::D4Attribute:

## Public Types

typedef vector< string >::const_iterator | D4AttributeCIter
typedef vector< string >::iterator | D4AttributeIter

## Public Member Functions

void | add_value (const string &value)
void | add_value_vector (const vector< string > &values)
D4Attributes * | attributes ()
| D4Attribute (const D4Attribute &src)
| D4Attribute (const string &name, D4AttributeType type)
virtual void | dump (ostream &strm) const
| dumps information about this object More...
string | name () const
unsigned int | num_values () const
D4Attribute & | operator= (const D4Attribute &rhs)
void | print_dap4 (XMLWriter &xml) const
void | set_name (const string &name)
void | set_type (D4AttributeType type)
D4AttributeType | type () const
string | value (unsigned int i) const
D4AttributeIter | value_begin ()
D4AttributeIter | value_end ()

## Detailed Description

Definition at line 44 of file D4Attributes.h.

## Member Function Documentation

## dump()

void libdap::D4Attribute::dump | ( | ostream & | strm | ) | const

virtual

dumps information about this object

Displays the pointer value of this instance and then displays information about this base type.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Implements libdap::DapObj.

Definition at line 533 of file D4Attributes.cc.

The documentation for this class was generated from the following files:

- D4Attributes.h
- D4Attributes.cc